package com.jeeplus.modules.filing.constructionStage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

public class StartUP extends DataEntity<StartUP> {
    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 单体编码
     */
    private String monomerCode;

    /**
     * 项目名称
     */
    private String entryName;

    /**
     * 开工日期
     * */
    private Date commDate;
    /**
     * 开工报告
     * */
    private String commReport;
    /**
     * 竣工日期
     * */
    private Date compDate;
    /**
     * 竣工报告
     * */
    private String compLetion;
    /**
     * 投运日期
     * */
    private Date cossDate;
    /**
     * 投运报告
     * */
    private String cossReport;
    /**
     * 环评验收日期
     * */
    private Date acceptanceDate;
    /**
     * 水保验收日期
     * */
    private Date soilWaterDate;

    @ExcelField(title="项目编码", align=2, sort=1)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="单体编码", align=2, sort=2)
    public String getMonomerCode() {
        return monomerCode;
    }

    public void setMonomerCode(String monomerCode) {
        this.monomerCode = monomerCode;
    }

    @ExcelField(title="项目名称", align=2, sort=3)
    public String getEntryName() {
        return entryName;
    }

    public void setEntryName(String entryName) {
        this.entryName = entryName;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="开工日期", align=2, sort=4)
    public Date getCommDate() {
        return commDate;
    }

    public void setCommDate(Date commDate) {
        this.commDate = commDate;
    }

    public String getCommReport() {
        return commReport;
    }

    public void setCommReport(String commReport) {
        this.commReport = commReport;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="竣工日期", align=2, sort=5)
    public Date getCompDate() {
        return compDate;
    }

    public void setCompDate(Date compDate) {
        this.compDate = compDate;
    }

    public String getCompLetion() {
        return compLetion;
    }

    public void setCompLetion(String compLetion) {
        this.compLetion = compLetion;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="投运日期", align=2, sort=6)
    public Date getCossDate() {
        return cossDate;
    }

    public void setCossDate(Date cossDate) {
        this.cossDate = cossDate;
    }

    public String getCossReport() {
        return cossReport;
    }

    public void setCossReport(String cossReport) {
        this.cossReport = cossReport;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="环评验收日期", align=2, sort=7)
    public Date getAcceptanceDate() {
        return acceptanceDate;
    }

    public void setAcceptanceDate(Date acceptanceDate) {
        this.acceptanceDate = acceptanceDate;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelField(title="水保验收日期", align=2, sort=8)
    public Date getSoilWaterDate() {
        return soilWaterDate;
    }

    public void setSoilWaterDate(Date soilWaterDate) {
        this.soilWaterDate = soilWaterDate;
    }
}
